// ファイルリスト管理.
//

FileList = {
    // ファイルリストに名前を追加.
    add : function( dir,name ) {
        var fst = org.maachang.comet.httpd.engine.script.FileListManager.getInstance() ;
        fst.addList( dir,name ) ;
    },
    // ファイルリストから除外.
    remove : function( dir,name ) {
        var fst = org.maachang.comet.httpd.engine.script.FileListManager.getInstance() ;
        fst.removeList( dir,name ) ;
    },
    // ファイルリスト一覧を取得.
    get : function( dir ) {
        var fst = org.maachang.comet.httpd.engine.script.FileListManager.getInstance() ;
        var lst = fst.getList( dir ) ;
        if( isNull( lst ) == false ) {
            var len = lst.length ;
            var ret = [] ;
            for( var i = 0 ; i < len ; i ++ ) {
                var ch = org.maachang.comet.httpd.engine.script.js.JsDef.getArray( lst,i ) ;
                ret[ ret.length ] = ""+ch ;
            }
            return ret ;
        }
        return null ;
    }
} ;

